import { PageResult } from "./common";

// 违纪导入
export interface BreachListItem {
  subjectCode: string;
  subjectName: string;
  breachCount: number;
}

// 考生状态
export interface StudentStatusListItem {
  subjectCode: string;
  subjectName: string;
  custStatusCount: number;
}

// 评卷点
export interface MarkSiteListItem {
  id: number;
  subjectCode: string;
  subjectName: string;
  paperType: string;
  oddNumber: number;
  evenNumber: number;
}

export type MarkSiteListPageResult = PageResult<MarkSiteListItem>;

export interface MarkSiteSaveParams {
  id?: number;
  examId: number;
  subjectCode: string;
  paperType: string;
  oddNumber: number;
  evenNumber: number;
}

export interface MarkSiteSetParams {
  examId: number;
  scanSite: string;
}

export interface ExportProgressResult {
  progress: number;
  success: boolean;
  errMsg: string;
}
